import { TapStreamReader, TapStreamWriter } from '@iotize/tap/client/impl';
import { DBIOTConverterInterface } from '../compressor-interface';
export declare function getRequiredByteLengthToEncodeInteger(input: number, signed: boolean): number;
export declare class TLVMappedJsonIntegerCompressor implements DBIOTConverterInterface<number> {
    private signed;
    constructor(signed: boolean);
    encode(input: number, stream?: TapStreamWriter): Uint8Array;
    decode(streamOrBuffer: TapStreamReader | Uint8Array): number;
}
